//-----------------------------------------------------------------------------
// Torque Game Engine 
// Copyright (C) GarageGames.com, Inc.
//-----------------------------------------------------------------------------

// Load dts shapes and merge animations
datablock TSShapeConstructor(LoliDts)
{
	baseShape  = "./Loli.dts";
	sequence0  = "./pomp_root.dsq root";

	sequence1  = "./pomp_walk.dsq run";
	sequence2  = "./pomp_walk.dsq walk";
	sequence3  = "./pomp_back.dsq back";
	sequence4  = "./pomp_back.dsq side";

	sequence5  = "./pomp_crouch.dsq crouch";
	sequence6  = "./pomp_crouchrun.dsq crouchRun";
	sequence7  = "./pomp_crouchrun.dsq crouchBack";
	sequence8  = "./pomp_crouchrun.dsq crouchSide";

	sequence9  = "./pomp_look.dsq look";
	sequence10 = "./pomp_headside.dsq headside";
	sequence11 = "./pomp_root.dsq headUp";

	sequence12 = "./pomp_jump.dsq jump";
	sequence13 = "./pomp_jump.dsq standjump";
	sequence14 = "./pomp_root.dsq fall";
	sequence15 = "./pomp_root.dsq land";

	sequence16 = "./pomp_armAttack.dsq armAttack";
	sequence17 = "./pomp_armReadyLeft.dsq armReadyLeft";
	sequence18 = "./pomp_armReadyRight.dsq armReadyRight";
	sequence19 = "./pomp_armReadyBoth.dsq armReadyBoth";
	sequence20 = "./pomp_spearready.dsq spearready";  
	sequence21 = "./pomp_spearThrow.dsq spearThrow";

	sequence22 = "./pomp_talk.dsq talk";  

	sequence23 = "./pomp_death1.dsq death1"; 
	
	sequence24 = "./pomp_root.dsq shiftUp";
	sequence25 = "./pomp_root.dsq shiftDown";
	sequence26 = "./pomp_root.dsq shiftAway";
	sequence27 = "./pomp_root.dsq shiftTo";
	sequence28 = "./pomp_root.dsq shiftLeft";
	sequence29 = "./pomp_root.dsq shiftRight";
	sequence30 = "./pomp_rotCW.dsq rotCW";
	sequence31 = "./pomp_rotCCW.dsq rotCCW";

	sequence32 = "./pomp_root.dsq undo";
	sequence33 = "./pomp_plant.dsq plant";

	sequence34 = "./pomp_sit.dsq sit";

	sequence35 = "./pomp_root.dsq wrench";

   sequence36 = "./pomp_activate.dsq activate";
   sequence37 = "./pomp_activate2.dsq activate2";

   sequence38 = "./pomp_root.dsq leftrecoil";
};    

datablock PlayerData(AGLoliArmor : PlayerStandardArmor)
{
   shapeFile = "./Loli.dts";
   maxDamage = "70";
	uiName = "Anime Loli";
   runForce = "5000";
   maxForwardSpeed = "12";
   maxBackwardSpeed = "7";
   maxSideSpeed = "8";
   boundingBox = "5 5 9.8";
	canJet = 0;
};